%define initdir /etc/init.d

Summary: A tool for configuring ISDN dialup connections.
Name: isdn-config
Version: 0.18
Release: 10.70
Source: http://people.redhat.com/than/%{name}-%{version}.tar.bz2
Group: Applications/System
URL: http://people.redhat.com/than
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prereq: %{initdir} /sbin/chkconfig /sbin/service
BuildPrereq: qt-devel => 2.0.0
Requires: isdn4k-utils => 3.1-21, qt => 2.0.0 initscripts => 5.50
Requires: pam >= 0.72

%description
Isdn-config is a tool for configuring ISDN dialup connections.

%prep
%setup -q
test -f Makefile.in || make -f Makefile.cvs

%build
QTDIR="" && source /etc/profile.d/qt.sh
%configure --enable-qtonly --sysconfdir=/etc 

make

%install
rm -rf $RPM_BUILD_ROOT
source /etc/profile.d/qt.sh
make install DESTDIR=$RPM_BUILD_ROOT transform=

%post
/sbin/chkconfig --add isdn

%preun
if [ "$1" = "0" ]; then
  /sbin/service isdn stop > /dev/null 2>&1
  /sbin/chkconfig --del isdn
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service isdn condrestart > /dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%config %{initdir}/isdn
%dir /etc/sysconfig/provider
/etc/X11/applnk/System/*
%config /etc/pam.d/isdn-config
%config /etc/security/console.apps/isdn-config
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/icons/*.png
%{_datadir}/icons/mini/*.png
%{_datadir}/isdn-config/isdndb.txt
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%doc %{_docdir}/HTML/*/isdn-config/*

%changelog
* Tue Feb 13 2001 Than Ngo <than@redhat.com>
- rebuild for 7.0

* Mon Jan 01 2001 Than Ngo <than@redhat.com>
- fixed wrong option (bug #23065)
- fixed a problem in loading hardware configuration

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- speed fax+ ISA needs to load firmware, fixed

* Mon Dec 04 2000 Than Ngo <than@redhat.com>
- fixed syncron ppp and static ip
- fixed provider optionfile

* Fri Nov 24 2000 Than Ngo <than@redhat.com>
- isdnlog can be started without provider configuration
- support Sedlbauer Speed fax+ PCI
- don't add gateway and gatewaydev by dialmode=manuell

* Mon Nov 6 2000 Than Ngo <than@redhat.com>
- fixed isdn script, /etc/isdn/ibod.cf instead /etc/ppp/ibod.cf
  don't start ibod when channel bundling disable

* Thu Nov 2 2000 Than Ngo <than@redhat.com>
- don't start ISDN daemon again when it's already started
- start ibod when channel bundling activ. It automatically activates
  the 2 channel if needed.
- made 0.18-4 for Halloween in Germany

* Thu Nov 2 2000 Than Ngo <than@redhat.com>
- the default route gets removed when the isdn connect goes down, fixed (Bug #17968)
- fixed isdn autodial (Bug #19341)
- fixed typos in isdnscript

* Mon Oct 30 2000 Than Ngo <than@redhat.com>
- fixed channel bundling problem with sync ppp

* Tue Oct 24 2000 Than Ngo <than@redhat.com>
- 0.18 for 7.1
 
* Fri Oct 20 2000 Than Ngo <than@redhat.com>
- fixed isdn-config for working with the new qt-2.2.1

* Mon Oct 16 2000 Than Ngo <than@redhat.com>
- fixed PAM configuration (Bug #18341)

* Fri Oct 13 2000 Than Ngo <than@redhat.com>
- fixed typos (Bug #19029)

* Thu Aug 24 2000 Erik Troan <ewt@redhat.com>
- added it, es translations

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- rebuilt against new qt-2.2.0-beta2
- add BuildPrereq: qt-devel => 2.0.0

* Sat Aug 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up specfile

* Fri Aug 11 2000 Than Ngo <than@redhat.com>
- fix to detect PCI Teles ISDN card correct

* Tue Aug 08 2000 Than Ngo <than@redhat.de>
- fix isdn script

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fixed auto dectect PCI isdncard

* Fri Aug 4 2000 Than Ngo Than <than@redhat.de>
- mark /etc/pam.d/isdn-config /etc/security/console.apps/isdn-config
  as config file
- add swedish translation in isdn-config.desktop file (Bug #15356)

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- rebuilt against the libpng-1.0.8

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add condrestart in startup script

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- inits back to rc.d/init.d, using service to fire them up

- clean up specfile
- fix authentication with chap (Bug #14186)

* Wed Jul 05 2000 Than Ngo <than@redhat.de>
- add macro to handle the initscript directory
- add macro to handle /etc/pam.d/system-auth
- fix initscript to work with the /etc/init.d
  and /etc/init.d
 
* Tue Jul 04 2000 Than Ngo <than@redhat.de>
- Rebuild with egcs++

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- don't prereq, only require initscripts

* Mon Jun 26 2000 Than Ngo <than@redhat.de>
- /etc/init.d -> /etc/init.d
- add condrestart directive
- fix post/preun/postun scripts
- prereq initscripts >= 5.20

* Sun Jun 25 2000 Than Ngo <than@redhat.de>
- add support channel bundling
- fix isdn script to support of channel bundling (Bug #12090)

* Wed Jun 21 2000 Than Ngo <than@redhat.de>
- fix i18n

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- conf.modules->modules.conf (Bug# 12591)
- fix isdn-view, it handles many differnt brownser (Bug# 12610)

* Fri Jun 09 2000 Than Ngo <than@redhat.de>
- fix geometrie problem with enlightenment

* Mon Jun 05 2000 Than <than@redhat.de>
- fix makefile problem
- add missing symbolic link to consolehelper
- change version to 0.13 for 7.0

* Fri Jun 02 2000 Than Ngo <than@redhat.de>
- use %%configure
- remove wmconfig/isdn-config (obsolete)
- modify PAM setup to use system-auth

* Wed May 17 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- minor bug-fixes, schedule isdn startup for complete rewrite

* Mon May  1 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- clean up cvs source tree and some minor tweaks

* Sat Apr 29 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- upload current version to rawhide

* Mon Apr 03 2000 Ngo Than <than@redhat.de>
- fixed a authentication problem with T-Online
- fixed typos in isdncard file (Teles PnP)
- fixed a dialout problem with rawip
- added chhup, cbdelay

* Fri Mar 16 2000 Ngo Than <than@redhat.de>
- fixed typos in isdn script
- DNS1 and DNS2 are now correct
- fixed fill out domain name in resolv.conf
- disable provider are showed in the list by start of isdn-config
- loading inactive provider was fixed
- fixed a problem by removing provider 
- added support callback, security
- added some call by call provider to isdn database

* Thu Mar 16 2000 Ngo Than <than@redhat.de>
- fixed a problem with teles 16.3c Pnp in isdncard list
- added a lot of german providers to isdn database

* Fri Mar 10 2000 Ngo Than <than@redhat.de>
- fixed i18n problem, now support german language
- some major changes in Makefiles

* Sat Mar 4 2000 Ngo Than <than@redhat.de>
- added ISDN online time
- added provider directory in isdn-config package
- isdn-config can only be started as root.

* Thu Mar 2 2000 Ngo Than <than@redhat.de>
- fixed permision problem of resolv.conf
- added ISDN line state

* Tue Feb 29 2000 Ngo Than <than@redhat.de>
- fixed overwrite problem of pap and chap secret file
- move isdn.init in isdn4k-utils package to isdn-config package
- fixed problem with static DNS and DOMAIN in /etc/resolv.conf
- fixed overwrite problem in /etc/resolv.conf
- added post to add isdn service in runlevel 2345

* Tue Feb 25 2000 Ngo Than <than@redhat.de>
- fixed build problem on alpha machine
- fixed save problem in pap and chap-secret files

* Mon Feb 21 2000 Ngo Than <than@redhat.de>
- added consolehelper stuff
- switched to qt
- fixed some major bugs
- added some new ISPS in ISDN database

* Thu Feb 17 2000 Ngo Than <than@redhat.de>
- fixed some Bugs in dialwidget again

* Thu Feb 17 2000 Ngo Than <than@redhat.de>
- fixed Bugs in dialwidget

* Tue Feb 15 2000 Ngo Than <than@redhat.de>
- more isdn cards supported
- englisch and german Doku
- many Bugfixes

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- release stabil version of isdn-config 0.6

* Thu Feb 4 2000 Ngo Than <than@redhat.de>
- set National at the top of Treelist
- provider disable has new icon
- fix install in specfile 

* Thu Feb 3 2000 Ngo Than <than@redhat.de>
- release isdn-config-0.5

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary

* Wed Feb 2 2000 Ngo Than <than@redhat.de>
- release isdnconig-0.4

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current snapshot
- rebuild with current qt/kde2libs

* Mon Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM, broken.
