/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "about.h"

About::About(QWidget * parent, const char *name):QWidget(parent, name)
{
  QBoxLayout *toplayout = new QVBoxLayout(this, 8);
  toplayout->addSpacing(10);
  QBoxLayout *layout1 = new QHBoxLayout(toplayout);
  
  QLabel *label = new QLabel(this);
  label->setFixedSize(161, 190);
  QPixmap logo = KGlobal::iconLoader()->loadIcon("isdnlogo");
  //QPixmap background = KGlobal::iconLoader()->loadIcon("aboutbackground");
  //label->setBackgroundPixmap(background);
  label->setPixmap(logo);
  //label->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);
  //label->setAlignment(AlignCenter);
  layout1->addWidget(label);

  QBoxLayout *layout2 = new QVBoxLayout(layout1);
  label = new QLabel("ISDN config Version " VERSION "\n"
                     " Copyright 1999-2000 Red Hat, Inc.\n\n"
		     " Than Ngo <than@redhat.de>\n"
		     " Thomas Wrner <twoerner@redhat.de>\n\n"
		     "Updates and KNOPPIX modifications by\n"
		     " Klaus Knopper <knoppix@knopper.net>\n", this);
  label->setFont(QFont("Helvetica", 12));
  label->setAlignment(AlignTop);
  layout2->addWidget(label);

  QString s  = i18n("This program is free software; you can\n"
                    "redistribute it and/or modify it under\n"
                    "the terms of the GNU General Public\n"
                    "License Version 2 as published by the\n"
		    "Free Software Foundation\n");

  label = new QLabel(s, this);
  label->setFont(QFont("Helvetica", 10));
  label->setAlignment(AlignTop);
  layout2->addWidget(label);

  toplayout->addSpacing(10);
}

About::~About()
{
}
