/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef GENERALDATA_H
#define GENERALDATA_H

#include <qlist.h>
#include <qstrlist.h>

#include "providerdata.h"
#include "resourcedata.h"

class GeneralData
{
public:
  QList < ProviderData > providerdata;
  ResourceData resourcedata;

  QStrList configfilenamelist;

  GeneralData();
  ~GeneralData();

  void save();
  void load();
  bool verify();
  void backupfile(QString f);
  void movefile(QString f);
  void detect();
  bool scan_pci(QString);
  bool isproviderexisted(QString pn);
  QString getphonenumber(int);

  static const char *encap_items[];
  enum { SYNCPPP, RAWIP };

  static const char *auth_items[];
  enum { AUTH_PAP, AUTH_CHAP, AUTH_BOTH, AUTH_NONE };

protected:
  bool loadProviderData(QString pfile);
  bool loadconfmodulfile();
  void loadisdncardData();

  QString getValue(QString str);
  QString getisdncardname(uint);

  void writeisdncardfile();
  void writeactiveisdnfile();
  void writeconfigfile();
  void writesecretfile(uint);
  void writenetworkfile();
};

extern GeneralData ISDNData;

#endif
