/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef ISDNDB_H
#define ISDNDB_H

#include <fstream.h>
#include <qtextstream.h>
#include <qstring.h>
#include <qstrlist.h>
#include <qlist.h>
#include <qfile.h> 
#include "generaldata.h"

class ISDNDBData
{
 public:
  QString country;
  QString city;
  QString flag;
  QString name;
  QString user;
  QString pass;
  QString prefix;
  QString phone;
  QString domain;
  QString dns;
  QString netmask;
  uint encap;
  uint layer;
  uint authtype;
  bool ipsetup;

  void setNull();

  ISDNDBData();
  ~ISDNDBData();
};

class ISDNDB
{
 public:
  ISDNDB(QString);
  ~ISDNDB();

  void ReadIsdnDatabase(QString);
  QString getvalue(QString);
};

extern QList <ISDNDBData> isdndbdata;
#endif
