/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef PASSWORDDIALOG_H
#define PASSWORDDIALOG_H

#ifndef QTONLY
#  include <klocale.h>
#  include <kiconloader.h>
#  include <kglobal.h>
#  include <kseparator.h>
#else
#  include "kde-int.h"
#endif

#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qgroupbox.h>
#include <qhbox.h>
#include <qtooltip.h>
#include <qmessagebox.h>

class PasswordDialog:public QDialog
{
  Q_OBJECT

private:
  void errormessage(QString);

private slots:
  void accept();

public:
  PasswordDialog(QWidget * parent = 0, const char *name = 0);
  ~PasswordDialog();

  QLineEdit *password;
  QLineEdit *loginname;
  QLineEdit *msn;

  QString getpassword();
  QString getloginname();
  QString getmsn();

  virtual void fill(QString user, QString pass);
};
#endif
