/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef PROVIDERINFO_H
#define PROVIDERINFO_H

#ifndef QTONLY
#  include <klocale.h>
#  include <kbuttonbox.h>
#else
#  include "kde-int.h"
#endif

#include <qlayout.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qpixmap.h>
#include <qspinbox.h>
#include <qtooltip.h>
#include <qmessagebox.h>

class ProviderInfo:public QDialog
{
  Q_OBJECT

private:
  enum { ON, OFF };
  enum { AUTO, MANUAL };

  QGroupBox *accountgbox;
  QGroupBox *providergbox;
  QGroupBox *networkgbox;

private slots:
  void slotremoteIP();
  void slotlocalIP();
  void slotauthentication(int);
  void accept();
  void msnChange(const QString &);
  void phoneChange(const QString &);
  void areacodeChange(const QString &);
  void slotencapsulation(int);
  void slotcallback();

public:
  ProviderInfo(QWidget * parent = 0, const char *name = 0);
  ~ProviderInfo();

  void fillproviderinfo(const QString &);
  void noprovidernamemessage();
  void invalidprovidernamemessage();
  void providerexistmessage();
  void providerinfoincompletemessage();
  void filldialog();

  bool isprovidernamecorrect();
  bool haslocalip();
  bool hasremoteip();
  bool isproviderexisted();
  bool isproviderinfocorrect();

  bool provideredited;
  bool oldisproviderenabled;

  QLineEdit *dns;
  QLineEdit *domain;
  QLineEdit *localip;
  QLineEdit *remoteip;
  QLineEdit *loginname;
  QLineEdit *password;
  QLineEdit *msn;
  QLineEdit *providername;
  QLineEdit *areacode;
  QLineEdit *phone;
  QLineEdit *phone_in;

  QCheckBox *callback;
  QCheckBox *activeprovider;
  QCheckBox *secure;
  QCheckBox *bundling;

  QComboBox *auth;
  QComboBox *ipsetup;
  QComboBox *encap;
  QComboBox *dialmode;

  QSpinBox *huptimeout;
  QSpinBox *cbdelay;
  
  QCheckBox *localip_button;
  QCheckBox *remoteip_button;
};

#endif
